/**
 * This file is part of the SIASAR package.
 *
 * Next.js version 11.1.4
 *
 * SIASAR Global is a joint initiative launched by the governments of Honduras,
 * Nicaragua and Panama that soon expanded to other regions. The strategic
 * purpose of this initiative is to have a basic, updated and comparable
 * information tool on the rural water supply and sanitation services in place
 * in a given country.
 *
 * @summary SIASAR_3 Front-end
 *
 * @author   Marco Marocchi <marco@front.id>
 * @author   Gastón Dall' Oglio <gaston.dalloglio@front.id>
 *
 * @license GPL-3.0
 *
 * @see     http://globalsiasar.org/es/contact
 */

#top-toolbar {
  @include container($max);
  min-height: auto !important;
  display: none;
  background: $color-blue-02;
  box-shadow: 0 3px 8px rgb(0, 0, 0, .5);
  padding: 15px 0;

  @include desktop {
    display: block;
    box-shadow: none;
    padding: 0;
  }

  &.visible {
    display: block;
  }

  .userMenu {
    padding: 0 10px;

    .userMenu-wrapper {
      display: flex;
      justify-content: center;
      align-items: center;
      margin-bottom: 15px;

      @include desktop {
        margin-bottom: 5px;
      }

      .userAvatar {
        width: 30px;
        height: 30px;

        + .userName {
          margin-left: 7px;
        }
      }

      .userName {
        color: white;
        font-weight: 500;

        @include desktop {
          color: black;
        }
      }
    }
  }

  // <ul>.
  .main-menu {
    padding: 0;
    margin: 0;

    > li {
      border-top: 1px solid white;

      @include desktop {
        border-top: none;
      }
    }

    // <li>.
    .menu-item {
      font-size: 16px;
      list-style-type: none;

      @include desktop {
        display: inline-block;
        position: relative;
      }

      &:last-of-type {
        border-bottom: 1px solid white;

        @include desktop {
          border-bottom: none;
        }
      }

      &.expander {
        > a,
        > p,
        > span {
          padding-right: 36px;
          position: relative;

          &:after {
            content: "";
            display: inline-block;
            width: 15px;
            height: 15px;
            background: url(image-url('icon-chevron-white-down.svg')) no-repeat center;
            background-size: contain;
            transform: translate3d(0, -50%, 0);
            position: absolute;
            top: 50%;
            right: 16px;
          }
        }
      }

      &:hover {

        > a,
        > p,
        > span {
          background: $color-blue-01;

          &:after {
            transform: translate3d(0, -50%, 0) rotate(180deg);
          }
        }

        > ul {
          display: block;
        }
      }

      > a,
      > p,
      > span {
        display: block;
        color: $color-white-01;
        font-size: 16px;
        font-family: inherit;
        font-weight: 500;
        transition: all $duration;
        padding: 15px;

        @include desktop {
          font-weight: 400;
        }

        &:hover {
          color: $color-white-01;
          background: $color-blue-01;
        }
      }

      > span {
        opacity: 0.3;
        cursor: not-allowed;
      }

      // Second level.
      > .menu {
        background: white;
        display: none;
        padding: 0;

        @include desktop {
          background: transparent;
        }

        @include desktop {
          width: 100%;
          background: $color-blue-02;
          z-index: 100;
          position: absolute;
          top: 100%;
          left: 0;
        }

        > .menu-item {
          display: block;
          border-top: 1px solid $color-blue-02;

          @include desktop {
            border-top: none;
          }

          a,
          p,
          span {
            color: $color-blue-01;
            font-weight: 400;
            padding: 10px 10px 10px 25px;

            @include desktop {
              color: white;
              padding: 10px 15px;
            }

            &:hover, &:focus {
              color: white;
            }
          }

          // Third level.
          > .menu {

            @include desktop {
              left: 100%;
              top: 0;
              width: 100%;
            }
          }
        }
      }
    }
  }
}
